<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 29 17:33:32 CEST 2017 -->
<title>Item</title>
<meta name="date" content="2017-05-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Item";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Item.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../knapsack/Knapsack.html" title="class in knapsack"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?knapsack/Item.html" target="_top">Frames</a></li>
<li><a href="Item.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">knapsack</div>
<h2 title="Class Item" class="title">Class Item</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>knapsack.Item</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.util.Comparator&lt;<a href="../knapsack/Item.html" title="class in knapsack">Item</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Item</span>
extends java.lang.Object
implements java.util.Comparator&lt;<a href="../knapsack/Item.html" title="class in knapsack">Item</a>&gt;</pre>
<div class="block">Represents an Item used for Knapsack.
 An item is described with a weight and profit.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../knapsack/Item.html#Item--">Item</a></span>()</code>
<div class="block">Default Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../knapsack/Item.html#Item-int-int-">Item</a></span>(int&nbsp;weight,
    int&nbsp;profit)</code>
<div class="block">Overloaded Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../knapsack/Item.html#compare-knapsack.Item-knapsack.Item-">compare</a></span>(<a href="../knapsack/Item.html" title="class in knapsack">Item</a>&nbsp;item1,
       <a href="../knapsack/Item.html" title="class in knapsack">Item</a>&nbsp;item2)</code>
<div class="block">Override from Comparator.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../knapsack/Item.html#getInfo--">getInfo</a></span>()</code>
<div class="block">Specifies the printed information about an item.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../knapsack/Item.html#getProfit--">getProfit</a></span>()</code>
<div class="block">Get the value of the itemProfit property.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../knapsack/Item.html#getPWRatio--">getPWRatio</a></span>()</code>
<div class="block">Get the value of the itemPWRatio property.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../knapsack/Item.html#getWeight--">getWeight</a></span>()</code>
<div class="block">Get the value of the itemWeight property.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../knapsack/Item.html#isPackedIn--">isPackedIn</a></span>()</code>
<div class="block">Get the value of the isPackedIn property.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../knapsack/Item.html#isValidItem--">isValidItem</a></span>()</code>
<div class="block">Check if an item is valid or not.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../knapsack/Item.html#packIn-boolean-">packIn</a></span>(boolean&nbsp;bvalue)</code>
<div class="block">Set the value of the isPackedIn property.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../knapsack/Item.html#printInfo--">printInfo</a></span>()</code>
<div class="block">Prints the information about an item.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.Comparator">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.Comparator</h3>
<code>comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Item--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Item</h4>
<pre>public&nbsp;Item()</pre>
<div class="block">Default Constructor.
 Initializes an item with chosen default values.</div>
</li>
</ul>
<a name="Item-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Item</h4>
<pre>public&nbsp;Item(int&nbsp;weight,
            int&nbsp;profit)</pre>
<div class="block">Overloaded Constructor.
 Initializes an item with chosen default values and the given weight and profit.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>weight</code> - the weight of the item</dd>
<dd><code>profit</code> - the profit of the item</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getWeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWeight</h4>
<pre>public&nbsp;int&nbsp;getWeight()</pre>
<div class="block">Get the value of the itemWeight property.
 The itemWeight specifies the weight of an item.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the weight of the item.</dd>
</dl>
</li>
</ul>
<a name="getProfit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProfit</h4>
<pre>public&nbsp;int&nbsp;getProfit()</pre>
<div class="block">Get the value of the itemProfit property.
 The itemProfit specifies the profit of an item.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the profit of the item.</dd>
</dl>
</li>
</ul>
<a name="getPWRatio--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPWRatio</h4>
<pre>public&nbsp;double&nbsp;getPWRatio()</pre>
<div class="block">Get the value of the itemPWRatio property.
 The itemPWRatio specifies the ratio Profit/Weight of an item.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the ratio Profit/Weight of of the item.</dd>
</dl>
</li>
</ul>
<a name="isPackedIn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPackedIn</h4>
<pre>public&nbsp;boolean&nbsp;isPackedIn()</pre>
<div class="block">Get the value of the isPackedIn property.
 The isPackedIn property specifies if an item is used in the current solution,
 which means it is packed in.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether or not if the item is packed in.</dd>
</dl>
</li>
</ul>
<a name="packIn-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>packIn</h4>
<pre>public&nbsp;void&nbsp;packIn(boolean&nbsp;bvalue)</pre>
<div class="block">Set the value of the isPackedIn property.
 The isPackedIn property specifies if an item is used in the current solution,
 which means it is packed in.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bvalue</code> - whether or not if the item should be packed in.</dd>
</dl>
</li>
</ul>
<a name="printInfo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printInfo</h4>
<pre>public&nbsp;void&nbsp;printInfo()</pre>
<div class="block">Prints the information about an item.
 The information is defined in <a href="../knapsack/Item.html#getInfo--"><code>getInfo()</code></a></div>
</li>
</ul>
<a name="getInfo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInfo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInfo()</pre>
<div class="block">Specifies the printed information about an item.
 The weight and profit will be printed as a String.
 Is used by <a href="../knapsack/Item.html#printInfo--"><code>printInfo()</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String with information about weight and profit of an item</dd>
</dl>
</li>
</ul>
<a name="isValidItem--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidItem</h4>
<pre>public&nbsp;boolean&nbsp;isValidItem()</pre>
<div class="block">Check if an item is valid or not.
 A valid item should have a positive weight, greater than 0
 and a profit greater or equals zero.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True, if the item is valid. Otherwise, false</dd>
</dl>
</li>
</ul>
<a name="compare-knapsack.Item-knapsack.Item-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>compare</h4>
<pre>public&nbsp;int&nbsp;compare(<a href="../knapsack/Item.html" title="class in knapsack">Item</a>&nbsp;item1,
                   <a href="../knapsack/Item.html" title="class in knapsack">Item</a>&nbsp;item2)</pre>
<div class="block">Override from Comparator.
 Compare items by their itemPWRatio property.
 An item with higher profit/weight ratio is 'better'.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>compare</code>&nbsp;in interface&nbsp;<code>java.util.Comparator&lt;<a href="../knapsack/Item.html" title="class in knapsack">Item</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Item.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../knapsack/Knapsack.html" title="class in knapsack"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?knapsack/Item.html" target="_top">Frames</a></li>
<li><a href="Item.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
